/*
 * Copyright (c) 1999 4 Crazy Men, All Rights Reserved
 *
 */
package video.tools;

import java.util.*;
/**
 * Cette classe permet de contourner le pbm de l'heritage multiple,
 * et permet d'avoir un objet observable par plusieur Observeurs.
 *
 * @see java.util#Observable
 * @version 0.1 10 Mai 1999
 * @author PARENTE Jeremy
 */
public class SimpleObservable extends Observable {
  /**
   * Cette methode permet de notifier, aux observeurs qui ont ete enregistre,
   * l'objet passe en parametre.
   *
   * @param o un objet
   */
  public void notify(Object o) {
    setChanged();
    notifyObservers(o);
  }
}
